<?php
//************************************************************************************
//** common_cron.php - Common Cron Registry
//** This file contains the cron registry modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

require_once 'core/base/BaseApp.php';
require_once 'core/base/Controller.php';
require_once 'core/app/AppController.php';
require_once 'core/base/BaseModel.php';
require_once 'core/app/AppModel.php';
require_once 'core/app/AppMsg.php';

require_once 'adodb/adodb.inc.php';
require_once 'phpmailer/class.phpmailer.php';

require_once 'jumper_lib/Assorted.inc.php';
require_once 'jumper_lib/HTML/tplTemplatez.php';
require_once 'jumper_lib/Util/TreeHelper.php';

require_once APP_CLIENT_DIR . 'client/inc/JumperController.php';

require_once APP_ROOT_DIR . 'cron/CronCommon.php';
require_once APP_ROOT_DIR . 'cron/FileManipulator.php';


$db = &DBUtil::connect($conf);

$reg =& Registry::instance();
$reg->setEntry('db', $db);
$reg->setEntry('tbl_pref', $conf['tbl_pref']);
$reg->setEntry('conf', $conf);
?>