<?php
//************************************************************************************
//** config_lang.php - Language Configuration
//** This file contains the langauge configuration file modified by Steve Perry
//** (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

$conf['lang'] = array();
$conf['lang']['name']         = 'Catala';
$conf['lang']['meta_charset'] = 'iso-8859-15';
$conf['lang']['meta_content'] = 'ca';



// this is default date format
// it will be used everywhere until you specified
// custom value in custom function/class
// for possible formats see http://php.net/strftime  
$conf['lang']['date_format']   = '%d %b %Y';
 

// LOCALE //
// try different possible locale names
// for example for german:     setlocale(LC_ALL, 'de_DE@euro', 'de_DE', 'de', 'ge');
// for example for portuguese: setlocale(LC_ALL, pt_BR, pt_BR.iso-8859-1, pt_BR.utf-8, portuguese);
// for example for spanish:    setlocale(LC_ALL, 'es_ES.iso-8859-1', 'es_ES', 'es', 'spanish');
setlocale(LC_ALL, 'ca_ES.iso-8859-15', 'ca_ES', 'ca', 'catala');


// another variant - reset to the server-setting
//setlocale(LC_ALL, NULL);


// TITLE URL REWRITE //
//$conf['lang']['replace'] = array();

?>