<?php
//************************************************************************************
//** template.php - JPCache Template for Jumper
//** This file contains the template for other types of cache written by Jean-Pierre 
//** Deckers (c) 2001-2003 and modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

    /* You'll need to implement these 5 functions, add additional functions inhere. 
     *
     * Add variables you use to jpcache-config.php
     *
     * jpcache_restore()
     *
     * Will (try to) restore the cachedata.
     */

    function jpcache_restore()
    {
        global $JPCACHE_TIME, $cache_key, $cachedata_gzdata, $cachedata_datasize, $cachedata_datacrc;
        
        // Implement restoring of cached data
        // 
        // Use $cache_key to lookup data, use $JPACHE_TIME to check if
        // data is still valid.
        //
        // If data-retrieval was succesfull, you'll need to set
        // $cachedata_gzdata, $cachedata_datasize and $cachedata_datacrc
        // and return true, if unsuccesfull, return false.
        
        return false;
    }

    /* jpcache_write()
     *
     * Will (try to) write out the cachedata to the db
     */
    function jpcache_write($gzcontents, $size, $crc32) 
    {
        global $JPCACHE_TIME, $JPCACHE_ON, $cache_key;
        
        // Implement writing of the data as given. 
        // Store on $cache_key and add a 'field' for $JPCACHE_TIME
        // Store the 3 parameters seperatly
    }
    
    /* jpcache_do_gc()
     *
     * Performs the actual garbagecollection
     */
    function jpcache_do_gc()
    {
        // Implement garbage-collection
    }


    /* jpcache_do_start()
     *
     * Additional code that is executed before real jpcache-code kicks
     */
    function jpcache_do_start()
    {  
        // Add additional code you might require
    }

    /* jpcache_do_end()
     *
     * Additional code that us executed after caching has been performed,
     * but just before output is returned. No new output can be added.
     */
    function jpcache_do_end()
    {
        // Add additional code you might require
    }

    // Make sure no additional lines/characters are after the closing-tag!
?>