<?php
//************************************************************************************
//** CommonSmarty.php - Common Smarty Class
//** This file defines a class to apply templates written by Evgen Leontev (c) 2005
//** and modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

require_once 'Smarty/Smarty.class.php';

class CommonSmarty extends Smarty
{

	function CommonSmarty() {
		$this->setSmartyDirs();
		$this->assign('required_sign', '<span class="requiredSign">*</span>');
	}
	
	function setSmartyDirs() {
		$this->template_dir = APP_TMPL_DIR;
        $this->compile_dir = APP_CACHE_DIR . 'smarty/templates_c';
        $this->config_dir = APP_CACHE_DIR . 'smarty/configs';
        $this->cache_dir = APP_CACHE_DIR . 'smarty/cache';
		//$this->plugins_dir = APP_ROOT_DIR . 'Smarty/internals';
	}
	
	function setTemplateDir() {
		
	}
}
?>