<?php
//************************************************************************************
//** SimpleFilter.php - Simple Filter Class
//** This file contains a simple sort order filter function Evgen Leontev (c) 2005 
//** and modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//************************************************************************************

require_once 'jumper_lib/HTML/FormSelect.php';


class SimpleFilter extends FormSelect 
{
		
	var $tpl;
	var $chapter;
	//var $all_values_msg;
	var $sql_field;			 // sql field to select for example "rc.cat_id"
	var $ses_name = 'filter';
	var $sql = '1=1';
	var $sql2 = '1=1';
	var $id = '';
	
	var $form_name = 'simple_form';
	var $select_name = 'filter';
	var $css_class = 'color';
		
	function SimpleFilter($form_method = false) {
		$form_method = ($form_method) ? $form_method : $_GET;
		$this->setFormMethod($form_method);
	}
	
		
	function setVars($sql_field) {
		$this->sql_field = $sql_field;
		
		$ret = $this->form_method[$this->select_name];
		$ret = ($ret == 'F_NULL') ? 0 : $ret;
		
		if(isset($this->form_method[$this->select_name]) && $this->form_method[$this->select_name] != 'all') {
			$this->sql = "$sql_field = '$ret'";
		}
	}
	
	function generateSelect($default = false) {
		
		$html = '<form action="" name="'.$this->form_name.'">';
		
		//unset($this->form_method[$this->select_name]);// skip $_GET['filter']
		$html .= http_build_hidden($arr);
		
		$this->setOnChangeSubmit(true, $this->form_name);
		$this->setSelectWidth(200);
		$this->setSelectName($this->select_name);
		
		$html .= $this->select($default);
		$html .= '</form>';
		
		return $html;
	}
}
?>

