<?php
//************************************************************************************
//** PageController.php - Account Page Controller Class
//** This file contains the account page controller function written by Evgen Leontev 
//** (c) 2005 and modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//***********************************************************************************

$controller->loadClass('User', 'user');
$controller->loadClass('UserModel', 'user');
$controller->loadClass('UserView_form', 'user');

$controller->working_dir = $controller->module_dir . 'user/';
$controller->action = 'update';


// initialize objects
$rq =& new RequestData($_GET);
$rp =& new RequestData($_POST);

$obj = new User;
$obj->is_admin = false;
$obj->hidden = array('id', 'active');


$manager =& $obj->setManager(new UserModel());
//$manager->checkPriv($priv, $controller->action, @$rq->id);

$rq->id = AuthPriv::getUserId();

if(isset($rp->submit)) {
		
	if(APP_DEMO_MODE) { $controller->go('not_allowed_demo', true); }
	
	$is_error =& $obj->validate($rp->vars, $manager);
	
	if($is_error) {
		$rp->stripVars(true);
		$obj->set($rp->vars);
		//$obj->setPriv(@$rp->vars['priv']);
	
	} else {
		$rp->stripVars();
		
		$obj->setPassword($rp->not_change_pass); // mean not insert in db if not_change_pass = 1
		$obj->set($rp->vars);
		//$obj->setPriv(@$rp->vars['priv']);
		
		$manager->save($obj, AuthPriv::getUserId());
		$controller->go();
	}
}
	
$data = &$manager->getById($rq->id);
$rp->stripVarsValues($data);
$obj->set($data);

//$view = &$controller->getView($obj, $manager, 'UserView_form');
$view = &new UserView_form();
$view->account_view = true;
$view = $view->execute($obj, $manager);
?>