<?php
//************************************************************************************
//** PageController1.php - Page Controller One Class
//** This file contains the page controller function written by Evgen Leontev (c) 2005
//** and modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//***********************************************************************************

class PageController extends AppPageController
{	

	var $rb;
	var $rp;
	
	var $manager;
	
	
	function PageController($controller, $class_name) {
		
		$this->init($controller, $class_name);
	}
	
	
	
	function init(&$controller, $class_name) {
		
		require_once $controller->working_dir . 'inc/'.$class_name . '.php';
		require_once $controller->working_dir . 'inc/'.$class_name . 'Model.php';
		
		
		// initialize objects
		// $this->controller = &$controller;
		
		//$this->rq = &new RequestData($_GET);
		//$this->rp = &new RequestData($_POST);
		
		//$this->obj = &new $class_name;
		
		//$class_name = $class_name . 'Model';
		//$this->manager = &new $class_name;
		//$this->manager->checkPriv($priv, $this->action, $this->rq->id);		
	}
	
	
	function execute($class_name) {
		
	}
	
	
	function execute() {
		
	}
}


$page = new PageController($controller, 'User');

$obj = new User;

$manager = &new JMPEntryModel();
$manager->checkPriv($priv, $controller->action, @$rq->id);


switch ($controller->action) {
case 'delete': // ------------------------------
	 
	$manager->delete($page->request('id'));
	$controller->go();

	break;
	

case 'status': // ------------------------------
	
	$manager->status($rq->status, $rq->id);
	$controller->go();

	break;

	
case 'update': // ------------------------------
case 'insert': // ------------------------------

	
	if(isset($rp->submit)) {
		
		$is_error =& $obj->validate($rp->vars);
		
		if($is_error) {
			$rp->stripVars(true);
			
			$obj->set($rp->vars);
			$obj->setCategory(@$rp->vars['category']);
		
		} else {
			$rp->stripVars();
			
			$obj->set($rp->vars);
			$obj->setCategory($rp->vars['category']);
			
			$manager->save($obj);
			
			$controller->go();
		}
		
	
	} elseif($controller->action == 'update') {
		
		$obj->set($manager->getById($rq->id));
		$obj->setCategory($manager->getCategoryById($rq->id));		
	}
	
	
	$view = &$controller->getView($obj, $manager, 'JMPEntryView_form');

	break;


default: // ------------------------------------
	
	$view = &$controller->getView($obj, $manager, 'JMPEntryView_list');
}
?>