<?php
//************************************************************************************
//** sql.php - SQL Count Entry Class
//** This file contains the sql entry count function written by Evgen Leontev (c) 2005
//** and modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//***********************************************************************************


// to count entries

function getAllCountEntries() {
	$sql = "
		SELECT 
		e_to_cat.category_id, 
		COUNT(e_to_cat.entry_id) 
	FROM 
		s_jmp_entry e,
		s_jmp_category cat,
		s_jmp_entry_to_category e_to_cat
	WHERE 1
		AND e_to_cat.entry_id = e.id
		AND e_to_cat.category_id = cat.id
		AND e.active = 1
		AND cat.active = 1
	GROUP BY e_to_cat.category_id";
}

?>