<?php
//************************************************************************************
//** RoleModel.php - Role Model Class
//** This file contains the role model function written by Evgen Leontev (c) 2005 
//** and modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//***********************************************************************************

class RoleModel extends AppModel
{
	
	var $tbl_pref_custom = '';
	var $tables = array('table'=>'role', 'role', 'member', 'user');
	
	var $role_keys  = array('member_role'=>'member', 'user_role'=>'admin');
	
	
	function getSelectRange($role) {
		$sql = "SELECT id, title FROM {$this->tbl->table} WHERE role_key = '$role'";
		$result =& $this->db->Execute($sql) or die(db_error($sql));
		return $result->GetAssoc();
	}
	
	
	
	// ACTIONS // ---------------------	
	
	
	// DELETE RELATED // ---------------------
	function inUse($id, $table) {
		$sql = "SELECT COUNT(*) AS num 
		FROM {$table} u 
		WHERE u.role_id = '{$id}'";
		$result =& $this->db->Execute($sql, $record_id) or die(db_error($sql));
		return $result->Fields('num');
	}
}
?>
