﻿//************************************************************************************
//** fckxml_ie.js - FCKEditor Class to Load and Manipulate XML files
//** This file contains the FCKXml Class to load and manipulate XML files specific to 
//** IE implementations written by Frederico Caldeira Knabben (c) 2003-2006 and
//** modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

var FCKXml = function()
{
	this.Error = false ;
}

FCKXml.prototype.LoadUrl = function( urlToCall )
{
	this.Error = false ;

	var oXmlHttp = FCKTools.CreateXmlObject( 'XmlHttp' ) ;

	if ( !oXmlHttp )
	{
		this.Error = true ;
		return ;
	}

	oXmlHttp.open( "GET", urlToCall, false ) ;
	
	oXmlHttp.send( null ) ;
	
	if ( oXmlHttp.status == 200 || oXmlHttp.status == 304 )
		this.DOMDocument = oXmlHttp.responseXML ;
	else if ( oXmlHttp.status == 0 && oXmlHttp.readyState == 4 )
	{
		this.DOMDocument = FCKTools.CreateXmlObject( 'DOMDocument' ) ;
		this.DOMDocument.async = false ;
		this.DOMDocument.resolveExternals = false ;
		this.DOMDocument.loadXML( oXmlHttp.responseText ) ;
	}
	else
	{
		this.Error = true ;
		alert( 'Error loading "' + urlToCall + '"' ) ;
	}
}

FCKXml.prototype.SelectNodes = function( xpath, contextNode )
{
	if ( this.Error )
		return new Array() ;

	if ( contextNode )
		return contextNode.selectNodes( xpath ) ;
	else
		return this.DOMDocument.selectNodes( xpath ) ;
}

FCKXml.prototype.SelectSingleNode = function( xpath, contextNode ) 
{
	if ( this.Error )
		return ;
		
	if ( contextNode )
		return contextNode.selectSingleNode( xpath ) ;
	else
		return this.DOMDocument.selectSingleNode( xpath ) ;
}