<?php
//**********************************************************************************
//** cron_common.php - Jumper Knowledgebase Registry
//** This file contains the Knowledgebase registry written by Evgen Leontev (c) 
//** 2005 and modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

require_once APP_MSG_LANG_DIR . 'config_lang.php';

require_once 'core/base/BaseApp.php';
require_once 'core/base/BaseModel.php';
require_once 'core/app/AppModel.php';
require_once 'core/app/AppMsg.php';
require_once 'jumper_lib/Assorted.inc.php';
require_once 'jumper_lib/Util/FileUtil.php';
require_once 'adodb/adodb.inc.php';

$db =& DBUtil::connect($conf);

$reg =& Registry::instance();
$reg->setEntry('db', $db);
$reg->setEntry('tbl_pref', $conf['tbl_pref']);
$reg->setEntry('conf', $conf);
?>