<?php
//**********************************************************************************
//** Common.inc.php - Common Script
//** This file contains the common script modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008-2009 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

if (isset($_GET['conf'])) { return; }
elseif (!isset($conf))    { return; }

$z = strtolower(ini_get('zlib.output_compression'));
if(!$z || $z == 'off') 	{ ob_start("ob_gzhandler"); }
else                   	{ ob_start(); }

// debug
if($conf['debug_speed']) { 
	require_once 'speed/_dima_timestat.php'; 
	error_reporting(ini_get('error_reporting'));
}


// includes
require_once 'core/base/BaseApp.php';
require_once 'core/base/BaseView.php';
require_once 'core/base/BaseModel.php';
require_once 'core/app/AppModel.php';
//require_once 'core/app/PageRenderer.php';
require_once 'core/app/AppMsg.php';

require_once 'jumper_lib/HTML/FormSelect.php';
require_once 'jumper_lib/HTML/tplTemplatez.php';
require_once 'jumper_lib/URL/RequestData.php';
require_once 'jumper_lib/Util/GetMsg.php';
require_once 'jumper_lib/Assorted.inc.php';
require_once 'jumper_lib/Auth/AuthMember.php';
require_once 'jumper_lib/PageByPage.php';
require_once 'adodb/adodb.inc.php';

require_once APP_MSG_LANG_DIR . 'config_lang.php';
//define('XAJAX_DEFAULT_CHAR_ENCODING', $conf['lang']['meta_charset']); // for xajax


if(file_exists(APP_EXTRA_MODULE_DIR . 'config.inc.php')) {
	require_once APP_EXTRA_MODULE_DIR . 'config.inc.php';
}

// able to run php 5 functions
$func = array('http_build_query', 'stripos');
require_once 'PHP/Compat.php';
PHP_Compat::loadFunction($func);


$client_dir = APP_CLIENT_DIR . 'client/inc/';

require_once $client_dir . 'JumperLoader.php';
require_once $client_dir . 'JumperModel.php';
require_once $client_dir . 'JumperView.php';
require_once $client_dir . 'JumperController.php';
require_once $client_dir . 'JumperAction.php';
require_once $client_dir . 'JumperPageRenderer.php';
require_once $client_dir . 'DocumentParser.php';


$db =& DBUtil::connect($conf);

$reg =& Registry::instance();
$reg->setEntry('db', $db);
$reg->setEntry('tbl_pref', $conf['tbl_pref']);
$reg->setEntry('conf', $conf);
$reg->setEntry('extra', $conf['extra']);
?>