<?php
//**********************************************************************************
//** JumperAction_confirm.php - Client Action Confirm
//** This file contains the client action confirm written by Evgen Leontev 
//** (c) 2005 and modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008-2009 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

class JumperAction_confirm extends JumperAction_common
{

	function &execute($controller, $manager) {
	
		$user_id = $manager->isUser($this->rq->ec);
		if($user_id) {
		
			//if($manager->getSetting('register_approval')) {
			//	$sent = $manager->sendNotifyRegistration($this->rp->vars, $view);
			//	$controller->go('success_go', false, false, 'registration_confirmed_approve');
			
			//} else {
				$manager->setUserActive($user_id);
				$controller->go('success_go', false, false, 'registration_confirmed');		
			//}
	
		} else {
			$controller->go('success_go', false, false, 'registration_not_confirmed');
		}	
	}
	
}
?>