<?php
//**********************************************************************************
//** JumperAction_file.php - Client Action File
//** This file contains the client action file written by Evgen Leontevm (c) 2005
//** modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008-2009 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

class JumperAction_file extends JumperAction_common
{

	function &execute($controller, $manager) {
		
		require_once APP_MODULE_DIR . 'file/entry/inc/FileEntryModel.php';
		require_once APP_MODULE_DIR . 'file/entry/inc/FileEntryModel_dir.php';
		
		
		$entry_id = (int) $controller->getRequestVar('category_id'); // here it is entry to what file attached
		$file_id = (int) $controller->getRequestVar('entry_id');
		$view_id = $controller->getRequestVar('view_id');
		
		// deny to upload not attached file
		//if($view_id == 'file') {
			if(!$manager->isAttachment($entry_id, $file_id)) {
				$controller->go();
			}
		//}
		
		$manager =& new FileEntryModel_dir;
		$manager->setFileSetting( JumperModel::getSettings(200) );		
		$data = &$manager->getById($file_id);
		
		//echo "<pre>"; print_r($data); echo "</pre>";
		//exit;
		
		if(!$data || empty($data['active'])) {
			$controller->go();
		}
		
		$manager->sendFileDownload($data);
		$manager->countDownload($file_id);
		exit;
	}
	
}
?>