<?php
//**********************************************************************************
//** JumperView_welcome.php - Client View Welcome
//** This file contains the client view welcome written by Evgen Leontevm (c) 2005
//** modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008-2009 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

class JumperView_welcome extends JumperView_common
{

	function &execute(&$manager) {
		
		$this->home_link = true;
		$this->meta_title = $this->msg['welcome_new_user_msg'];
		
		$data = $this->getTop($manager, $this->msg['welcome_new_user_msg'], false);
		$data .= $this->getPage($manager);		
		
		return $data;		
	}
	
	
	
	function getPage(&$manager)  {
		
		$tpl = &new tplTemplatez($this->template_dir . 'welcome.html');
		
		
		$tpl->tplParse($this->msg);
		return $tpl->tplPrint(1);
	}
}
?>