-- upgrade from version 2.0 beta2 to to 2.0 RC1
-- For thouse who already install 2.0 beta2
-- You can(should) safely run it.

-- chabge entry index
ALTER TABLE `s_jmp_entry` DROP INDEX `title` , ADD FULLTEXT `title` (`title` ,`body` ,`meta_keywords` ,`meta_location` ,`meta_link`,`meta_datatype`);
ALTER TABLE `s_jmp_entry` ADD INDEX ( `meta_keywords` ( 10 ) );
ALTER TABLE `s_jmp_entry` ADD INDEX ( `meta_datatype` ( 3 ) );

-- add attachment to feedback
ALTER TABLE `s_feedback` ADD `attachment` TEXT NOT NULL AFTER `question`;

-- 
-- Table structure for table `s_setting`
-- 

DROP TABLE IF EXISTS `s_setting`;
CREATE TABLE `s_setting` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `module_id` int(10) unsigned NOT NULL default '0',
  `group_id` tinyint(3) unsigned NOT NULL default '0',
  `input_id` tinyint(3) unsigned NOT NULL default '0',
  `options` varchar(100) NOT NULL default '',
  `setting_key` varchar(255) NOT NULL default '',
  `messure` varchar(10) NOT NULL default '',
  `range` varchar(255) NOT NULL default '',
  `default_value` varchar(255) NOT NULL default '',
  `sort_order` float NOT NULL default '0',
  `required` tinyint(1) NOT NULL default '0',
  `skip_default` tinyint(1) NOT NULL default '0',
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

-- 
-- Dumping data for table `s_setting`
-- 

INSERT INTO `s_setting` VALUES (1, 100, 4, 1, '', 'allow_comments', '', '0,1,2', '1', '12', 0, 0, 1),
(2, 100, 4, 4, '', 'allow_rating', '', '', '1', '14', 0, 0, 1),
(3, 100, 4, 1, '', 'allow_post_entry', '', '0,1,2', '1', '11', 0, 0, 0),
(4, 100, 3, 1, '', 'num_most_viewed_entries', '', '0,3,5,10,15', '5', '8', 0, 0, 1),
(5, 100, 3, 1, '', 'num_recently_posted_entries', '', '0,3,5,10,15', '5', '7', 0, 0, 1),
(6, 100, 3, 1, '', 'num_entries_per_page', '', '10,15,20', '10', '6', 0, 0, 1),
(7, 100, 8, 1, 'onchange="populateSelect(myOptions[this.value]);"', 'view_format', '', 'default', 'default', '2', 0, 0, 1),
(8, 100, 6, 4, '', 'show_hits', '', '', '1', '2', 0, 0, 1),
(9, 100, 4, 1, '', 'comment_policy', '', '1,2,3', '1', '13', 0, 0, 1),
(10, 100, 1, 2, 'size="50"', 'site_title', '', '', 'Jumper', '2', 0, 1, 4),
(11, 100, 1, 2, 'size="50"', 'support_email', '', '', 'your@email.com', '10', 0, 1, 0),
(12, 100, 3, 4, '', 'show_glossary_link', '', '', '1', '16', 0, 0, 1),
(13, 100, 8, 2, 'size="50"', 'page_to_load', '', '', 'Default', '1', 0, 0, 1),
(14, 100, 3, 1, '', 'category_sort_order', '', 'name,sort_order', 'sort_order', '10', 0, 0, 1),
(15, 100, 6, 4, '', 'show_send_link', '', '', '1', '1', 0, 0, 1),
(16, 100, 3, 1, '', 'show_num_entries', '', '0,1', '1', '10.1', 0, 0, 1),
(17, 100, 3, 4, '', 'show_title_nav', '', '', '1', '19', 0, 0, 1),
(104, 100, 3, 1, '', 'entry_sort_order', '', 'name,sort_order,added_desc,added_asc,updated_desc,updated_asc,hits_desc,hits_asc', 'sort_order', '1', 0, 0, 1),
(19, 100, 1, 2, 'size="50"', 'nav_title', '', '', 'Knowledgebase', '4', 0, 0, 1),
(20, 200, 1, 2, 'size="50"', 'file_dir', '', '', '[document_root_parent]/jmp_file/', '10', 0, 0, 1),
(21, 200, 1, 4, '', 'file_extract', '', '', '1', '15', 0, 0, 1),
(22, 200, 1, 2, 'size="50"', 'file_denied_extensions', '', '', 'php,php3,php5,phtml,asp,aspx,ascx,jsp,cfm,cfc,pl,bat,exe,dll,reg,cgi', '13', 0, 0, 1),
(106, 100, 2, 1, '', 'register_captcha', '', 'no,yes', 'yes', '3.3', 0, 0, 1),
(23, 200, 1, 2, '', 'file_max_filesize', '', '', '2048', '11', 0, 0, 1),
(24, 200, 1, 1, '', 'file_store', '', 'dir,db', 'dir', '0', 0, 0, 0),
(25, 200, 1, 2, 'size="50"', 'file_allowed_extensions', '', '', '', '12', 0, 0, 1),
(26, 200, 1, 1, '', 'file_rename_policy', '', 'date_Ymd-His,date_Ymd,date_Y,suffics_3', 'date_Ymd-His', '10', 0, 0, 0),
(27, 200, 3, 1, '', 'num_most_viewed_entries', '', '0,3,5,10,15', '5', '3', 0, 0, 1),
(28, 200, 3, 1, '', 'num_recently_posted_entries', '', '0,3,5,10,15', '5', '2', 0, 0, 1),
(29, 200, 3, 1, '', 'num_entries_per_page', '', '10,15,20', '10', '1', 0, 0, 1),
(30, 200, 3, 1, '', 'category_sort_order', '', 'name,sort_order', 'sort_order', '4', 0, 0, 1),
(31, 200, 3, 1, '', 'show_num_entries', '', '0,1', '1', '5', 0, 0, 1),
(34, 100, 3, 4, '', 'show_file_link', '', '', '1', '18', 0, 0, 1),
(33, 100, 2, 4, '', 'jmp_register_access', '', '', '0', '3.1', 0, 0, 1),
(35, 100, 2, 1, '', 'private_policy', '', '1,2', '2', '3.8', 0, 0, 1),
(36, 200, 2, 1, '', 'private_policy', '', '1,2', '2', '0', 0, 0, 1),
(49, 134, 2, 2, 'size="50"', 'smtp_port', '', '', '25', '7', 0, 0, 1),
(38, 100, 2, 4, '', 'register_policy', '', '', '1', '3.2', 0, 0, 1),
(39, 100, 2, 2, 'size="10"', 'auth_expired', '', '', '60', '3.7', 0, 0, 1),
(40, 134, 2, 1, '', 'mailer', '', 'mail,smtp,sendmail', 'mail', '3', 1, 0, 1),
(41, 134, 1, 2, 'size="50"', 'from_email', '', '', '', '2', 1, 1, 1),
(42, 134, 1, 2, 'size="50"', 'from_name', '', '', 'Support Team', '3', 0, 0, 1),
(43, 134, 2, 2, 'size="50"', 'sendmail_path', '', '', '/usr/sbin/sendmail', '4', 0, 0, 1),
(44, 134, 2, 4, '', 'smtp_auth', '', '', '0', '5', 0, 0, 1),
(45, 134, 2, 2, 'size="50"', 'smtp_user', '', '', '', '8', 0, 0, 1),
(46, 134, 2, 2, 'size="50"', 'smtp_pass', '', '', '', '9', 0, 0, 1),
(47, 134, 2, 2, 'size="50"', 'smtp_host', '', '', '', '6', 0, 0, 1),
(50, 100, 5, 2, 'size="10"', 'preview_profile_limit', '', '', '150', '1', 0, 0, 1),
(51, 100, 5, 4, '', 'preview_show_comments', '', '', '1', '4', 0, 0, 1),
(52, 100, 5, 4, '', 'preview_show_rating', '', '', '0', '3', 0, 0, 1),
(53, 100, 5, 4, '', 'preview_show_hits', '', '', '0', '5', 0, 0, 1),
(54, 100, 5, 4, '', 'preview_show_date', '', '', '1', '2', 0, 0, 1),
(55, 100, 6, 4, '', 'show_creator', '', '', '1', '3', 0, 0, 1),
(56, 134, 1, 2, 'size="50"', 'from_mailer', '', '', 'JMP Mailer', '1', 0, 0, 1),
(57, 100, 2, 4, '', 'register_confirmation', '', '', '1', '3.4', 0, 0, 0),
(58, 100, 3, 1, '', 'num_entries_category', '', '0,3,5,10,15,20,all', 'all', '8.1', 0, 0, 1),
(59, 100, 7, 2, 'size="50"', 'rss_title', '', '', 'Knowledgebase RSS', '2', 0, 1, 1),
(60, 100, 7, 3, 'rows="2" style="width: 100%"', 'rss_description', '', '', '', '3', 0, 1, 1),
(61, 100, 7, 1, '', 'rss_generate', '', 'none,one,top', 'one', '1', 0, 0, 1),
(62, 100, 1, 3, 'rows="2" style="width: 100%"', 'site_keywords', '', '', '', '5', 0, 1, 0),
(63, 100, 1, 3, 'rows="2" style="width: 100%"', 'site_description', '', '', '', '6', 0, 1, 0),
(64, 100, 1, 3, 'rows="2" style="width: 100%"', 'site_link', '', '', '', '6', 0, 1, 0),
(65, 100, 3, 1, '', 'num_category_cols', '', '0,1,2,3,4,5', '3', '10.2', 0, 0, 1),
(66, 200, 3, 2, 'size="10"', 'num_category_cols', '', '', '3', '6', 0, 0, 1),
(67, 100, 2, 4, '', 'register_approval', '', '', '0', '3.6', 0, 0, 0),
(105, 100, 4, 1, '', 'comment_captcha', '', 'no,yes,yes_no_reg', 'yes_no_reg', '12.1', 0, 0, 1),
(101, 100, 1, 2, 'size="50"', 'header_title', '', '', 'Knowledgebase', '3', 0, 1, 1),
(102, 100, 4, 1, '', 'allow_contact', '', '0,1,2', '1', '11.2', 0, 0, 1),
(103, 100, 8, 1, '', 'view_template', '', '1', 'default', '3', 0, 0, 1),
(107, 100, 4, 1, '', 'contact_captcha', '', 'no,yes,yes_no_reg', 'no', '11.4', 0, 0, 1),
(108, 100, 4, 1, '', 'entry_captcha', '', 'no,yes,yes_no_reg', 'yes', '11.1', 0, 0, 0),
(109, 100, 4, 4, '', 'contact_attachment', '', '', '1', '11.3', 0, 0, 1);