<?php
//************************************************************************************
//** common.inc.php -common file
//** This file contains the common file written by Evgen Leontev (c) 2005 and 
//** modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//***********************************************************************************

$z = strtolower(ini_get('zlib.output_compression'));
if(!$z || $z == 'off') { ob_start("ob_gzhandler"); }
else                   { ob_start(); }

if($conf['debug_speed']) { 
	require_once 'speed/_dima_timestat.php';
}

require_once 'core/base/BaseApp.php';

require_once 'core/base/Controller.php';
require_once 'core/app/AppController.php';

require_once 'core/base/BaseObj.php';
require_once 'core/app/AppObj.php';

require_once 'core/base/BaseModel.php';
require_once 'core/app/AppModel.php';

require_once 'core/base/BaseView.php';
require_once 'core/app/AppView.php';

require_once 'core/app/AppMsg.php';

require_once 'adodb/adodb.inc.php';
require_once 'jumper_lib/PageByPage.php';
require_once 'jumper_lib/HTML/tplTemplatez.php';
require_once 'jumper_lib/HTML/FormSelect.php';
require_once 'jumper_lib/URL/RequestData.php';
require_once 'jumper_lib/SQL/SortOrder.php';
require_once 'jumper_lib/Assorted.inc.php';
require_once 'jumper_lib/Auth/AuthPriv.php';
require_once 'jumper_lib/Navigation.php';

require_once APP_MSG_LANG_DIR . 'config_lang.php';
define('XAJAX_DEFAULT_CHAR_ENCODING', $conf['lang']['meta_charset']); // for xajax


if(file_exists(APP_EXTRA_MODULE_DIR . 'config.inc.php')) {
	require_once APP_EXTRA_MODULE_DIR . 'config.inc.php';
}

// if using https
if($conf['use_https'] && $_SERVER['SERVER_PORT'] != 443) {
	header("Location: " . APP_HOME_PATH);
	exit();		
}


// able to run php 5 functions
$func = array('http_build_query');
require_once 'PHP/Compat.php';
PHP_Compat::loadFunction($func);
?>