<?php
//************************************************************************************
//** check_cron.php - Cron Check File
//** This file checks and confirms the cron job modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

$path = str_replace('cron/notify_admin_user', '', str_replace('\\', '/', getcwd()));

require_once $path . 'config.inc.php';
require_once APP_ROOT_DIR . 'cron/common_cron.php';
require_once APP_ROOT_DIR . 'cron/notify_admin_user/Sender.php';

$sender = &new Sender();
$last_sent = $sender->readLastRun();

if($last_sent && $sender->isFreshProfiles($last_sent)) {

	$sender->log('STARTED');
	
	$file = APP_ROOT_DIR . 'cron/notify_admin_user/background_send.php run';
	$cmd = $conf['php_path'] . $file . " 2>&1 > cron_check.log &";
	$last_line = exec($cmd, $retval);
		
	//header("location: " . $_SERVER['PHP_SELF'] . "?lanched=1");
	exit();
}
?>