<?php
//************************************************************************************
//** go.php - application launch
//** This file contains the application launch written by Evgen Leontev (c) 2005 and 
//** modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

require_once 'config.inc.php';
require_once 'jumper_lib/HTML/tplTemplatez.php';

$main_frame_src = 'index.php?module=knowledgebase&page=knowledgebase';
if(isset($_GET['ref'])) {
	require_once 'jumper_lib/Assorted.inc.php';
	$params = WebUtil::unserialize_url($_GET['ref']);
	$main_frame_src = 'index.php?' . $params;
}


$tpl = new tplTemplatez(APP_TMPL_DIR . 'go.html');

$tpl->tplAssign('title', $conf['product_name']);
$tpl->tplAssign('top_frame_src', 'top_navigation.php');
$tpl->tplAssign('main_frame_src', $main_frame_src);

$tpl->tplParse();
$tpl->tplPrint();
?>