<?php
//************************************************************************************
//** test_language.php - Language Comparison Test
//** This file contains the langauge comparison test modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

require_once '../config.inc.php';
require_once 'jumper_lib/Dir/MyDir.php'; 
require_once 'CompareLang.php';



// get all available langs
//$lang_array = CompareLang::getLangs();

// or set lang
//$lang_array = array('es');

// or lang in config
$lang_array = array($conf['lang']);

foreach($lang_array as $v) {
	
	$c = new CompareLang($v); 
	
	// get missed files
	$c->getMissedFiles();
	
	// get missed fields
	$c->getMissedFields();
	
	// get equal fields
	$c->getEqualValues();	
	
	echo $c->getHTML();
	//echo "<pre>"; print_r($c->diff); echo "</pre>";
}
?>