<?php
//************************************************************************************
//** adodb-en.inc.php - ADODB English Langauge Errors for Jumper
//** This file contains the English Language errors file written by John Lim 
//** (c) 2000-2005
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the BSD license and Lesser GPL library license. Whenever
//**copyright: there is any discrepancy between the two licenses, the BSD license will
//**Copyright: take precedence.; you may not use this file except in compliance with  
//**Copyright: the License. Permission is granted for redistribution of this file 
//**Copyright: provided this copyright notice is maintained intact. If you alter or
//**Copyright: modify the contents of this file in any way from its original form 
//**Copyright: please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

$ADODB_LANG_ARRAY = array (
			'LANG'                      => 'en',
            DB_ERROR                    => 'unknown error',
            DB_ERROR_ALREADY_EXISTS     => 'already exists',
            DB_ERROR_CANNOT_CREATE      => 'can not create',
            DB_ERROR_CANNOT_DELETE      => 'can not delete',
            DB_ERROR_CANNOT_DROP        => 'can not drop',
            DB_ERROR_CONSTRAINT         => 'constraint violation',
            DB_ERROR_DIVZERO            => 'division by zero',
            DB_ERROR_INVALID            => 'invalid',
            DB_ERROR_INVALID_DATE       => 'invalid date or time',
            DB_ERROR_INVALID_NUMBER     => 'invalid number',
            DB_ERROR_MISMATCH           => 'mismatch',
            DB_ERROR_NODBSELECTED       => 'no database selected',
            DB_ERROR_NOSUCHFIELD        => 'no such field',
            DB_ERROR_NOSUCHTABLE        => 'no such table',
            DB_ERROR_NOT_CAPABLE        => 'DB backend not capable',
            DB_ERROR_NOT_FOUND          => 'not found',
            DB_ERROR_NOT_LOCKED         => 'not locked',
            DB_ERROR_SYNTAX             => 'syntax error',
            DB_ERROR_UNSUPPORTED        => 'not supported',
            DB_ERROR_VALUE_COUNT_ON_ROW => 'value count on row',
            DB_ERROR_INVALID_DSN        => 'invalid DSN',
            DB_ERROR_CONNECT_FAILED     => 'connect failed',
            0	                       => 'no error', // DB_OK
            DB_ERROR_NEED_MORE_DATA     => 'insufficient data supplied',
            DB_ERROR_EXTENSION_NOT_FOUND=> 'extension not found',
            DB_ERROR_NOSUCHDB           => 'no such database',
            DB_ERROR_ACCESS_VIOLATION   => 'insufficient permissions'
);
?>
		