<?php
//************************************************************************************
//** AppMailModel.php - Application Mail Model
//** This file contains the application mail model written by Evgen Leontev (c) 2005
//** and modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

require_once APP_MODULE_DIR . 'setting/inc/SettingModel.php';


class AppMailModel extends BaseModel
{

	var $tbl_pref_custom = '';
	var $tables = array('letter_template', 'user', 'member');

	
	function getTemplate($id) {
		$sql = "SELECT body FROM {$this->tbl->letter_template} WHERE id = '$id' OR letter_key = '$id'";
		$result =& $this->db->Execute($sql) or die(db_error($sql));
		return $result->Fields('body');		
	}
	
	
	function getTemplateVars($id) {
		$sql = "SELECT * FROM {$this->tbl->letter_template} WHERE id = '$id' OR letter_key = '$id'";
		$result =& $this->db->Execute($sql) or die(db_error($sql));
		return $result->FetchRow();		
	}
	
	
	function &getSettings() {
		$s = &new SettingModel();
		$s->setModuleId('email_setting');
		return $s->getSettings();	
	}
}
?>