<?php
//************************************************************************************
//** BaseView.php - Base View
//** This file contains the base view extension written by Evgen Leontev (c) 2005 and
//** modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

class BaseView extends BaseApp
{
	
	var $encoding;
	
	
	// old one
	//function getFormatedDate($timestamp, $format = 'M d, Y') {
	//	return date($format, $timestamp); 
	//}
	
	
	function _getFormatedDate($timestamp, $format = '%d %b, %Y') {
		
		//$timestamp = (strpos($timestamp, '-') !== false) ? strtotime($timestamp) : $timestamp;
		$timestamp = (is_numeric($timestamp)) ? $timestamp : strtotime($timestamp);
		return strftime($format, $timestamp); 
	}
	
	
	function isExtra($module) {
		return $this->extra[$module];
	}
	
	
	function &stripVars($values, $skip_keys = array(), $server_check = 'display') {
		return RequestDataUtil::stripVars($values, $skip_keys, $server_check);
	}
}
?>