<?php
//************************************************************************************
//** jpcache.php - JPCache Version 2 for Jumper
//** This file contains the jpcache written by Jean-Pierre Deckers (c) 2001-2003 and
//** modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

    $JPCACHE_VERSION="v2";

 
    // Set the includedir to the jpcache-directory
    $includedir = APP_LIB_DIR . "jpcache";

    // Configuration file
    require "$includedir/jpcache-config.php";
    
    // Standard functions
    require "$includedir/jpcache-main.php";
       
    // Type specific implementations
    require "$includedir/type/$JPCACHE_TYPE.php";

    // Start caching
    jpcache_start();
?>