<?php
//************************************************************************************
//** Auth.php - Authentication Class
//** This file contains the authentication function written by Evgen Leontev (c) 2005
//** and modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//************************************************************************************

class Auth extends AppModel
{

	var $sql;
	
	
	//function Auth() {
		
	//}
	
	
	function setTable($table) {
		$this->tbl->table = $table;
	}	
	
	function setSql($sql) {
		$this->sql = $sql;
	}


	function authToSession($name, $user_id, $realname, $username, $role_id = false) {
		$_SESSION[$name]['auth'] = md5(session_id() . $username . Auth::getIP());
		$_SESSION[$name]['thua'] = session_id();
		$_SESSION[$name]['user_id'] = $user_id; 	// for chekPriv();
		$_SESSION[$name]['username'] = $username;
		$_SESSION[$name]['realname'] = $realname;
		$_SESSION[$name]['role_id'] = $role_id;
		$_SESSION[$name]['time_flag'] = time(); 		// time when entering admin area using in spentTime();
	}
	
	
	// period - 1 hour, 5 days, 8 months, 2 years ...
	function getCookieTime($period = false, $sign = '+') {
		return ($period) ? strtotime($sign . $period) : time();
	}

	
	function setCookieExpire($period = false) {
		$this->cookie_expire = $this->getCookieTime($period);
	}
	
	
	function removeCookie() {
		$this->authToCookie();
	}

	
	function getIP() {
		//return WebUtil::getIP();
		return '';
	}
	
	
	// priv replacements
	function isPriv() {
		return true;
	}
	
	function checkPrivAction() {
		return true;
	}	
}
?>
