<?php
//************************************************************************************
//** Person.php - Person Class
//** This file contains the user definition function written by Evgen Leontev (c) 2005
//** and modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//************************************************************************************

require_once 'jumper_lib/Item/PersonHelper.php';

class Person extends AppObj
{
	
	var $full_name;
	var $short_name;
	var $email_name;	
	
	
	// Slazo John Haert
	function getFullName() {
		if(empty($this->full_name)) { $this->setFullName(); }
		return $this->full_name;
	}
	
	function setFullName() {
		$this->full_name = PersonHelper::getFullName($this->properties['first_name'], 
		                                             $this->properties['middle_name'], 
													 $this->properties['last_name']);
	}
	
	
	// Scalzo E.D.
	function getShortName() {
		if(empty($this->short_name)) { $this->setShortName(); }
		return $this->short_name;
	}
	
	function setShortName() {
		$this->short_name = PersonHelper::getShortName($this->properties['first_name'], 
		                                               $this->properties['middle_name'], 
													   $this->properties['last_name']);
	}
	
	
	// John Scalzo
	function getEmailName() {
		if(empty($this->email_name)) { $this->setEmailName(); }
		return $this->email_name;
	}
	
	function setEmailName() {
		$this->email_name = PersonHelper::getEmailName($this->properties['first_name'],  
													   $this->properties['last_name']);
	}
}
?>
