<?php
//************************************************************************************
//** PersonHelper.php - Person Helper Class
//** This file contains the helper file function modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//************************************************************************************

class PersonHelper
{

	// Slazo John Haert
	function getFullName($first_name, $middle_name = false, $last_name = false) {
		
		if(is_array($first_name)) {
			extract($first_name);
		}
		
		if($middle_name) {
			@$str = ucwords($last_name.', '.$first_name.' '.$middle_name); 
		} elseif ($first_name || $last_name) {
			@$str = ucwords($last_name.' '.$first_name); 
		} else {
			$str = '';
		}
		return $str;
	}
	
	// Scalzo E.D.
	function getShortName($first_name, $middle_name = false, $last_name = false) {
		
		if(is_array($first_name)) {
			extract($first_name);
		}		
		
		if($first_name || $last_name) {
			$str = ucwords($last_name.' '.$first_name{0}.'.');
			if($middle_name) { $str .= ucwords($middle_name{0}).'.'; }
		} else {
			$str = '';
		}
		return $str;
	}
	
	// John Scalzo
	function getEmailName($first_name, $last_name = false) {		
	
		if(is_array($first_name)) {
			extract($first_name);
		}
		
		$str = ucwords($first_name) . ' ' . ucwords($last_name);
		return $str;
	}
}
?>
