<?php
//************************************************************************************
//** _SqlDataWrapper.php - SQL Data Wrapper Class
//** This file contains the SQL data wrapper function written by Evgen Leontev 
//** (c) 2005 and modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//************************************************************************************

class SafeSql
{
	
	function str($val) {
		return(mysql_escape_string(stripslashes($val)));
	}
	
	
	function html() {
	
	}
	
	
	var $wrappers = array(
		'd' => '%d',
		's'	=> '%s',
		'f' => '%f'
		);
}


//$sql = "SELECT * FROM table WHERE id = %d AND item_id = %s";
//$sql = sprintf($sql, 10, SafeSql::str('dser gjf% '));
//echo "<pre>"; print_r($sql); echo "</pre>";
//echo sprintf($sql, array(1, 15));




//$sql = sprintf($sql, 10, SafeSql::str('dser gjf% '));

function sql_safe($sql, $vals) {
	
	if(!is_array($vals)) {
		$vals = func_get_args();
		unset($vals[0]);
	}
	
	foreach($vals as $k => $v) { 
		if(!is_numeric($v)) { 
			$vals[$k] = mysql_escape_string(stripslashes($vals[$k])); 
		} 
	}
	
	$sql = str_replace('%s', "'%s'", $sql);
	$sql = str_replace("''", "'", $sql);
	$vals = "'" . implode("','", $vals) . "'";
	$str = 'return sprintf($sql, '.$vals.');';
	// echo "<pre>"; print_r($str); echo "</pre>";
	
	return eval($str);
}


function sql_safe1($sql, $vals) {
	
	if(!is_array($vals)) {
		$vals = func_get_args();
		unset($vals[0]);
	}
	
	foreach($vals as $k => $v) { 
		if(!is_numeric($v)) { 
			$vals[$k] = mysql_escape_string(stripslashes($vals[$k])); 
		} 
	}
	
	$sql = str_replace("''", "'", str_replace('%s', "'%s'", $sql));
	return vsprintf($sql, $vals);
}

$sql = "SELECT * FROM table WHERE id = %d AND item_id = %s";
$sql = sql_safe1($sql, 'gyn6548pkjuyt', 'gfd"er');
echo "<pre>"; print_r($sql); echo "</pre>";


//$sql = str_replace(array_keys($wrappers), array_values($wrappers), $sql);
//echo "<pre>"; print_r($sql); echo "</pre>";


/*
public function query() { //       
        $args = func_get_args();
        $sql = array_shift($args));
        if (count($args)) {
            $data = array_map('mysql_escape_string', $args);
            $sql = str_replace(array('%', '?'), array('%%', '%s'), $sql);
            $sql = vsprintf($sql, $data);
        }
        // ...
}
*/
?>