<?php
//************************************************************************************
//** FileEntryView_common.php - File Entry View Common Class
//** This file contains the file entry common function written by Evgen Leontev 
//** (c) 2005 and modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//***********************************************************************************

class FileEntryView_common
{
	
	function parseCategories(&$obj, &$manager, &$tpl) {
		
		// categories
		$categories = &$manager->getCategoryRecords();
		$range = &$manager->getCategorySelectRange($categories);
		$category_id = ($obj->getCategory()) ? $obj->getCategory() : array(current(array_keys($range)));		
		
		$select = new FormSelect();
		$select->select_tag = false;
		$select->setRange($range);

		foreach($categories as $k => $v) {
			if($v['private']) {
				$select->setOptionParam($k, 'style="color: #cc0033;"');
			}
		}
		
		$tpl->tplAssign('category_select', $select->select($category_id));
		
		$select->setRange($range);		
		$tpl->tplAssign('category_mirror_select', $select->select($obj->getCategoryMirror()));		
	}
}
?>