<?php
//************************************************************************************
//** JMPGlossary.php - Glossary Class
//** This file contains the glossary function written by Evgen Leontev (c) 2005
//** and modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//***********************************************************************************

class JMPGlossary extends AppObj
{
	
	var $properties = array('id'		 	=> NULL,
							'phrase' 		=> '',
							'definition'	=> '',
							'display_once'  => 0
							);
	
	
	var $hidden = array('id');
	
	
	
	function validate($values) {
		
		require_once 'jumper_lib/Validator.php';
		
		$required = array('phrase', 'definition');
		
		$v =& new Validator($values, false);

		// check for required first, return errors
		$v->required('required_msg', $required);
		
		//$this->js     = &$v->getJscript();
		$this->errors = &$v->getErrors();
		return $this->errors;
	}
	
}
?>