<?php
//************************************************************************************
//** MemberView_form.php - Member View Form Class
//** This file contains the member view form function written by Evgen Leontev 
//** (c) 2005 and modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//***********************************************************************************

class MemberView_form extends AppView
{
	
	var $tmpl = 'form.html';
	
	
	function execute(&$obj, &$manager) {

		$this->addMsg('user_msg.ini');
		
		$tpl = &new tplTemplatez($this->template_dir . $this->tmpl);
		$tpl->tplAssign('error_msg', AppMsg::errorBox($obj->errors));
		
		
		if($this->controller->getAction() == 'update') {
			$tpl->tplSetNeeded('/not_change_pass');
		}
		
		// roles
		//$select = new FormSelect();
		//$select->setSelectWidth(250);
		//$select->setSelectName('role_id');
		//$select->setRange($manager->getRolesSelectRange(), array(0=>'__'
		//														 //'-1'=>$this->msg['all_roles_msg']
		//														 ));
		
		//$tpl->tplAssign('role_select', $select->select($obj->get('role_id')));
		
		
		$val = ($_POST) ? $_POST['not_change_pass'] : 1;
		$tpl->tplAssign('pass_change_checked', $this->getChecked($val));
		
		
		$tpl->tplAssign($this->setCommonFormVars($obj));
		$tpl->tplAssign($this->setStatusFormVars($obj->get('active')));
		$tpl->tplAssign($obj->get());
		$tpl->tplAssign($this->msg);
		
		$tpl->tplParse();
		return $tpl->tplPrint(1);
	}
}
?>