<?php
//************************************************************************************
//** Setting.php - View Setting Class
//** This file contains the view setting function written by Evgen Leontev (c) 2005 
//** and modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//***********************************************************************************

class Setting extends AppObj
{
	 
	var $properties = array();
	var $hidden = array();
	
	
	function set($data) {
		foreach($data as $k => $v) {
			$this->properties[$k] = $v;
		}
	}
	

	function validate($values, $manager) {
		
		require_once 'jumper_lib/Validator.php';
		
		$is_file = false;
		$file[] = APP_MODULE_DIR . $manager->module_name . '/SettingValidator.php';
		$file[] = APP_EXTRA_MODULE_DIR . $manager->module_name . '/SettingValidator.php';
		$file[] = APP_MODULE_DIR . 'setting/' . $manager->module_name . '/SettingValidator.php';
		foreach($file as $v) {
			if(file_exists($v)) {
				require_once $v;
				$is_file = true;
				break;
			}
		}
		
		if(!$is_file) {
			return false;
		}
		
		
		$v =& new SettingValidator();
		//$parser = $manager->getParser();
		//$values = $parser->parseReplacements($manager->formDataToObj($values));
		//echo "<pre>"; print_r($values); echo "</pre>";
		//echo "<pre>"; print_r($manager->formDataToObj($values)); echo "</pre>";
		//exit;
		
		//$this->errors = $v->validate($manager->formDataToObj($values));
		$this->errors = $v->validate($values);
				
		if($this->errors) {
			return true;
		}
	}
}
?>