﻿//************************************************************************************
//** fckeditorapi.js - FCKEditor API Global Objects
//** This file defines API object that is available as a global object in the page 
//** where the editor is placed inwritten by Frederico Caldeira Knabben (c) 2003-2006
//** and modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

var FCKeditorAPI ;

function InitializeAPI()
{
	if ( !( FCKeditorAPI = window.parent.FCKeditorAPI ) )
	{
		// Make the FCKeditorAPI object available in the parent window. Use 
		// eval so it is independent from this window and so it will still be 
		// available if the editor instance is removed ("Can't execute code
		// from a freed script" error).
		var sScript = '\
			var FCKeditorAPI = {\
				Version			: \'2.3.2\',\
				VersionBuild	: \'1082\',\
				__Instances		: new Object(),\
				GetInstance		: function( instanceName )\
				{\
					return this.__Instances[ instanceName ] ;\
				},\
				_FunctionQueue	: {\
					Functions	: new Array(),\
					IsRunning	: false,\
					Add			: function( functionToAdd )\
					{\
						this.Functions.push( functionToAdd ) ;\
						if ( !this.IsRunning )\
							this.StartNext() ;\
					},\
					StartNext	: function()\
					{\
						var aQueue = this.Functions ;\
						if ( aQueue.length > 0 )\
						{\
							this.IsRunning = true ;\
							aQueue[0].call() ;\
						}\
						else\
							this.IsRunning = false ;\
					},\
					Remove		: function( func )\
					{\
						var aQueue = this.Functions ;\
						var i = 0, fFunc ;\
						while( fFunc = aQueue[ i ] )\
						{\
							if ( fFunc == func )\
								aQueue.splice( i,1 ) ;\
							i++ ;\
						}\
						this.StartNext() ;\
					}\
				}\
			}' ;
		
		// In IE, the "eval" function is not always available (it works with
		// the JavaScript samples, but not with the ASP ones, for example).
		// So, let's use the execScript instead.
		if ( window.parent.execScript )
			window.parent.execScript( sScript, 'JavaScript' ) ;
		else
		{
			if ( FCKBrowserInfo.IsGecko10 )
			{
				// FF 1.0.4 gives an error with the above request. The
				// following seams to work well. It could become to official
				// implementation for all browsers, but we need to check it.
				eval.call( window.parent, sScript ) ;
			}
			else
				window.parent.eval( sScript ) ;
		}
		
		FCKeditorAPI = window.parent.FCKeditorAPI ;
	}

	// Add the current instance to the FCKeditorAPI's instances collection.
	FCKeditorAPI.__Instances[ FCK.Name ] = FCK ;
}

function FCKeditorAPI_Cleanup()
{
	FCKeditorAPI.__Instances[ FCK.Name ] = null ;
}
FCKTools.AddEventListener( window, 'unload', FCKeditorAPI_Cleanup ) ;	