﻿//************************************************************************************
//** fckdebug.js - FCKEditor Debug Control
//** This file defines the debug window control and operation written by Frederico 
//** Caldeira Knabben (c) 2003-2006 and modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

var FCKDebug = new Object() ;

FCKDebug.Output = function( message, color, noParse )
{
	if ( ! FCKConfig.Debug ) return ;
	
	if ( !noParse && message != null && isNaN( message ) )
		message = message.replace(/</g, "&lt;") ;

	if ( !this.DebugWindow || this.DebugWindow.closed )
		this.DebugWindow = window.open( FCKConfig.BasePath + 'fckdebug.html', 'FCKeditorDebug', 'menubar=no,scrollbars=no,resizable=yes,location=no,toolbar=no,width=600,height=500', true ) ;
	
	if ( this.DebugWindow && this.DebugWindow.Output)
	{
		try 
		{
			this.DebugWindow.Output( message, color ) ;
		} 
		catch ( e ) {}	 // Ignore errors
	}
}

FCKDebug.OutputObject = function( anyObject, color )
{
	if ( ! FCKConfig.Debug ) return ;

	var message ;
	
	if ( anyObject != null ) 
	{
		message = 'Properties of: ' + anyObject + '</b><blockquote>' ;
		
		for (var prop in anyObject)
		{
			try 
			{
				var sVal = anyObject[ prop ] ? anyObject[ prop ] + '' : '[null]' ;
				message += '<b>' + prop + '</b> : ' + sVal.replace(/</g, '&lt;') + '<br>' ;
			} 
			catch (e)
			{
				try
				{
					message += '<b>' + prop + '</b> : [' + typeof( anyObject[ prop ] ) + ']<br>' ;
				}
				catch (e)
				{
					message += '<b>' + prop + '</b> : [-error-]<br>' ;
				}
			}
		}

		message += '</blockquote><b>' ; 
	} else
		message = 'OutputObject : Object is "null".' ;
		
	FCKDebug.Output( message, color, true ) ;
}