<?php
//**********************************************************************************
//** JumperView_common.php - Common Client View
//** This file contains the common client view written by Evgen Leontevm (c) 2005
//** modified by Steve Perry (c) 2008
//**
//** Jumper Software
//** Version 2.0
//**Copyright: Copyright 2008 Jumper Networks Incorporated
//**Copyright: All Rights Reserved
//**Copyright:
//**Copyright: Licensed under the GNU General Public License (Version 2) published
//**Copyright: by the Free Software Foundation; you may not use this file except in
//**Copyright: compliance with the License. Permission is granted for redistribution
//**Copyright: of this file provided this copyright notice is maintained intact. If
//**Copyright: you alter or modify the contents of this file in any way from its 
//**Copyright: original form please notify Jumper Networks Incorporated.
//**Copyright: 
//**Copyright: Jumper is a trademark of Jumper Networks Incorporated
//**Copyright: which may be registered in certain jurisdictions.
//**EndComments
//**
//**********************************************************************************

class JumperView_common extends JumperView
{
	
	
	function _getLink($item, $view = false, $category_id = false, $anchor = false) {
		
		//$this->controller->setModRewrite(false);
		
		if($anchor) {
			$ret = $this->controller->getLink($view) . '#' . $item . $category_id;
		} else {
			$ret = $this->controller->getLink($view, $category_id);
		}
		
		return $ret;
		
	}
}
?>